/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "assert/assert.h"
#include "inventory.h"
#include "util/memory.h"

void inventoryInit(inventory_t *inventory) {
  assertNotNull(inventory, "Inventory pointer cannot be NULL");
  
  memoryZero(inventory, sizeof(inventory_t));
}