/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

/**
 * Initializes the random number generator with a random seed.
 * 
 * This function should be called once at the start of the program to
 * initialize the random number generator with a random seed. It uses
 * the current time to generate a seed.
 */
void randomInit();